//
//  SimpleIBViewController.m
//  SimpleIB
//
//  Created by rupert on 2/11/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "SimpleIBViewController.h"
#import "AddressViewController.h"

@implementation SimpleIBViewController

@synthesize buttonSearchAddress, textFieldSearchAddress;

// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}

- (BOOL)textFieldShouldBeginEditing:(UITextField *)textField{
	[textField resignFirstResponder];
	[self show];
	return NO;
}

- (IBAction)show{
	NSLog(@"show");
	
	AddressViewController *addressViewController = [[AddressViewController alloc] initWithNibName:@"AddressViewController" bundle:nil];
	UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:addressViewController];
	[self presentModalViewController:nav animated:YES];
	
	[addressViewController release];
	[nav release];
	
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
